# Principles

First, let’s look at the big picture. If the architectural and UX principles described here are activated at scale, how will the Gutenberg project improve and transform both users and creators experiences?

How Gutenberg can transform the *user experience*:

* Users can focus on conveying their ideas and information in the way they want without having to understand the underlying technical / semantic distinctions.
* Users can add and edit functionality more easily via the unified mechanism of blocks.
* Everything on a user’s site can be directly manipulated and edited in place without having to rely on traversing complex navigation menus and disparate sections.
* Users only have to learn a single interface — the block — and a single way to add new elements. They will gain the confidence that comes from using a system that feels unified and clear, where everything works in a consistent manner.

How Gutenberg can transform the *developer and designer experience*:

* A powerful and expressive toolkit that allows crafting first-class experiences through standardized design and development processes.
* This standardization allows for interoperability — developers can create components that seamlessly connect with components from other developers.
* Relying on consistent UX patterns means developers can be confident their work will be immediately familiar and usable to users and that they don’t have to reinvent interaction patterns. They can focus on their product.
* With one modern, flexible interface, the block, but many ways to bend it, makers have an opportunity to extend WordPress in many new ways.
