export const EXPECTED_TRANSFORMS = {
	core__archives: {
		originalBlock: 'Archives',
		availableTransforms: [
			'Group',
		],
	},
	core__archives__showPostCounts: {
		originalBlock: 'Archives',
		availableTransforms: [
			'Group',
		],
	},
	core__audio: {
		originalBlock: 'Audio',
		availableTransforms: [
			'File',
			'Group',
		],
	},
	core__button__center: {
		originalBlock: 'Button',
		availableTransforms: [
			'Group',
		],
	},
	core__button__squared: {
		originalBlock: 'Button',
		availableTransforms: [
			'Group',
		],
	},
	core__calendar: {
		originalBlock: 'Calendar',
		availableTransforms: [
			'Group',
		],
	},
	'core__media-text': {
		originalBlock: 'Media & Text',
		availableTransforms: [
			'Group',
			'Image',
		],
	},
	'core__media-text__image-alt-no-align': {
		originalBlock: 'Media & Text',
		availableTransforms: [
			'Group',
			'Image',
		],
	},
	'core__media-text__image-fill-no-focal-point-selected': {
		originalBlock: 'Media & Text',
		availableTransforms: [
			'Group',
			'Image',
		],
	},
	'core__media-text__image-fill-with-focal-point-selected': {
		originalBlock: 'Media & Text',
		availableTransforms: [
			'Group',
			'Image',
		],
	},
	'core__media-text__is-stacked-on-mobile': {
		originalBlock: 'Media & Text',
		availableTransforms: [
			'Group',
			'Video',
		],
	},
	'core__media-text__media-right-custom-width': {
		originalBlock: 'Media & Text',
		availableTransforms: [
			'Group',
			'Video',
		],
	},
	'core__media-text__vertical-align-bottom': {
		originalBlock: 'Media & Text',
		availableTransforms: [
			'Group',
			'Image',
		],
	},
	'core__media-text__video': {
		originalBlock: 'Media & Text',
		availableTransforms: [
			'Group',
			'Video',
		],
	},
	core__categories: {
		originalBlock: 'Categories',
		availableTransforms: [
			'Group',
		],
	},
	core__code: {
		originalBlock: 'Code',
		availableTransforms: [
			'Group',
			'Preformatted',
		],
	},
	core__columns: {
		originalBlock: 'Columns',
		availableTransforms: [
			'Group',
		],
	},
	core__cover: {
		availableTransforms: [
			'Group',
			'Image',
		],
		originalBlock: 'Cover',
	},
	core__cover__gradient: {
		availableTransforms: [
			'Group',
			'Image',
			'Video',
		],
		originalBlock: 'Cover',
	},
	'core__cover__gradient-image': {
		availableTransforms: [
			'Group',
			'Image',
		],
		originalBlock: 'Cover',
	},
	'core__cover__gradient-video': {
		availableTransforms: [
			'Group',
			'Video',
		],
		originalBlock: 'Cover',
	},
	core__cover__video: {
		availableTransforms: [
			'Group',
			'Video',
		],
		originalBlock: 'Cover',
	},
	'core__cover__video-overlay': {
		availableTransforms: [
			'Group',
			'Video',
		],
		originalBlock: 'Cover',
	},
	core__embed: {
		originalBlock: 'Embed',
		availableTransforms: [
			'Group',
		],
	},
	'core__file__new-window': {
		originalBlock: 'File',
		availableTransforms: [
			'Group',
		],
	},
	'core__file__no-download-button': {
		originalBlock: 'File',
		availableTransforms: [
			'Group',
		],
	},
	'core__file__no-text-link': {
		originalBlock: 'File',
		availableTransforms: [
			'Group',
		],
	},
	core__gallery: {
		originalBlock: 'Gallery',
		availableTransforms: [
			'Group',
			'Image',
		],
	},
	'core__gallery-with-caption': {
		originalBlock: 'Gallery',
		availableTransforms: [
			'Group',
			'Image',
		],
	},
	core__gallery__columns: {
		originalBlock: 'Gallery',
		availableTransforms: [
			'Group',
			'Image',
		],
	},
	core__group: {
		originalBlock: 'Group',
		availableTransforms: [],
	},
	'core__heading__h2-color': {
		originalBlock: 'Heading',
		availableTransforms: [
			'Quote',
			'Group',
			'Paragraph',
		],
	},
	'core__heading__h4-em': {
		originalBlock: 'Heading',
		availableTransforms: [
			'Quote',
			'Group',
			'Paragraph',
		],
	},
	core__heading__h2: {
		originalBlock: 'Heading',
		availableTransforms: [
			'Quote',
			'Group',
			'Paragraph',
		],
	},
	core__html: {
		originalBlock: 'Custom HTML',
		availableTransforms: [
			'Group',
		],
	},
	core__image: {
		originalBlock: 'Image',
		availableTransforms: [
			'Gallery',
			'Cover',
			'File',
			'Group',
			'Media & Text',
		],
	},
	'core__image__attachment-link': {
		originalBlock: 'Image',
		availableTransforms: [
			'Gallery',
			'Cover',
			'File',
			'Group',
			'Media & Text',
		],
	},
	'core__image__center-caption': {
		originalBlock: 'Image',
		availableTransforms: [
			'Gallery',
			'Cover',
			'File',
			'Group',
			'Media & Text',
		],
	},
	'core__image__custom-link': {
		originalBlock: 'Image',
		availableTransforms: [
			'Gallery',
			'Cover',
			'File',
			'Group',
			'Media & Text',
		],
	},
	'core__image__custom-link-class': {
		originalBlock: 'Image',
		availableTransforms: [
			'Gallery',
			'Cover',
			'File',
			'Group',
			'Media & Text',
		],
	},
	'core__image__custom-link-rel': {
		originalBlock: 'Image',
		availableTransforms: [
			'Gallery',
			'Cover',
			'File',
			'Group',
			'Media & Text',
		],
	},
	'core__image__media-link': {
		originalBlock: 'Image',
		availableTransforms: [
			'Gallery',
			'Cover',
			'File',
			'Group',
			'Media & Text',
		],
	},
	'core__latest-comments': {
		originalBlock: 'Latest Comments',
		availableTransforms: [
			'Group',
		],
	},
	'core__latest-posts': {
		originalBlock: 'Latest Posts',
		availableTransforms: [
			'Group',
		],
	},
	'core__latest-posts__displayPostDate': {
		originalBlock: 'Latest Posts',
		availableTransforms: [
			'Group',
		],
	},
	'core__legacy-widget': {
		originalBlock: 'Legacy Widget (Experimental)',
		availableTransforms: [
			'Group',
		],
	},
	core__list__ul: {
		originalBlock: 'List',
		availableTransforms: [
			'Group',
			'Paragraph',
			'Quote',
		],
	},
	core__more: {
		originalBlock: 'More',
		availableTransforms: [
			'Group',
		],
	},
	'core__more__custom-text-teaser': {
		originalBlock: 'More',
		availableTransforms: [
			'Group',
		],
	},
	core__navigation: {
		originalBlock: 'Navigation',
		availableTransforms: [
			'Group',
		],
	},
	'core__navigation-link': {
		originalBlock: 'Navigation Link',
		availableTransforms: [
			'Group',
		],
	},
	core__nextpage: {
		originalBlock: 'Page Break',
		availableTransforms: [
			'Group',
		],
	},
	'core__paragraph__align-right': {
		originalBlock: 'Paragraph',
		availableTransforms: [
			'Heading',
			'List',
			'Quote',
			'Group',
			'Preformatted',
			'Verse',
		],
	},
	'core__post-content': {
		availableTransforms: [
			'Group',
		],
		originalBlock: 'Post Content',
	},
	'core__post-title': {
		availableTransforms: [
			'Group',
		],
		originalBlock: 'Post Title',
	},
	core__preformatted: {
		originalBlock: 'Preformatted',
		availableTransforms: [
			'Group',
			'Paragraph',
		],
	},
	core__pullquote: {
		originalBlock: 'Pullquote',
		availableTransforms: [
			'Quote',
			'Group',
		],
	},
	'core__pullquote__main-color': {
		originalBlock: 'Pullquote',
		availableTransforms: [
			'Quote',
			'Group',
		],
	},
	'core__pullquote__multi-paragraph': {
		originalBlock: 'Pullquote',
		availableTransforms: [
			'Quote',
			'Group',
		],
	},
	'core__quote__style-1': {
		originalBlock: 'Quote',
		availableTransforms: [
			'List',
			'Group',
			'Paragraph',
			'Heading',
			'Pullquote',
		],
	},
	'core__quote__style-2': {
		originalBlock: 'Quote',
		availableTransforms: [
			'List',
			'Group',
			'Paragraph',
			'Heading',
			'Pullquote',
		],
	},
	core__rss: {
		originalBlock: 'RSS',
		availableTransforms: [
			'Group',
		],
	},
	core__search: {
		originalBlock: 'Search',
		availableTransforms: [
			'Group',
		],
	},
	'core__search__custom-text': {
		originalBlock: 'Search',
		availableTransforms: [
			'Group',
		],
	},
	core__separator: {
		originalBlock: 'Separator',
		availableTransforms: [
			'Group',
		],
	},
	core__shortcode: {
		originalBlock: 'Shortcode',
		availableTransforms: [
			'Group',
		],
	},
	'core__site-title': {
		availableTransforms: [
			'Group',
		],
		originalBlock: 'Site Title',
	},
	'core__social-link-amazon': {
		availableTransforms: [
			'Group',
		],
		originalBlock: 'Amazon',
	},
	'core__social-link-bandcamp': {
		availableTransforms: [
			'Group',
		],
		originalBlock: 'Bandcamp',
	},
	'core__social-link-behance': {
		availableTransforms: [
			'Group',
		],
		originalBlock: 'Behance',
	},
	'core__social-link-chain': {
		availableTransforms: [
			'Group',
		],
		originalBlock: 'Link',
	},
	'core__social-link-codepen': {
		availableTransforms: [
			'Group',
		],
		originalBlock: 'CodePen',
	},
	'core__social-link-deviantart': {
		availableTransforms: [
			'Group',
		],
		originalBlock: 'DeviantArt',
	},
	'core__social-link-dribbble': {
		availableTransforms: [
			'Group',
		],
		originalBlock: 'Dribbble',
	},
	'core__social-link-dropbox': {
		availableTransforms: [
			'Group',
		],
		originalBlock: 'Dropbox',
	},
	'core__social-link-etsy': {
		availableTransforms: [
			'Group',
		],
		originalBlock: 'Etsy',
	},
	'core__social-link-facebook': {
		availableTransforms: [
			'Group',
		],
		originalBlock: 'Facebook',
	},
	'core__social-link-feed': {
		availableTransforms: [
			'Group',
		],
		originalBlock: 'RSS Feed',
	},
	'core__social-link-fivehundredpx': {
		availableTransforms: [
			'Group',
		],
		originalBlock: '500px',
	},
	'core__social-link-flickr': {
		availableTransforms: [
			'Group',
		],
		originalBlock: 'Flickr',
	},
	'core__social-link-foursquare': {
		availableTransforms: [
			'Group',
		],
		originalBlock: 'Foursquare',
	},
	'core__social-link-github': {
		availableTransforms: [
			'Group',
		],
		originalBlock: 'GitHub',
	},
	'core__social-link-goodreads': {
		availableTransforms: [
			'Group',
		],
		originalBlock: 'Goodreads',
	},
	'core__social-link-google': {
		availableTransforms: [
			'Group',
		],
		originalBlock: 'Google',
	},
	'core__social-link-instagram': {
		availableTransforms: [
			'Group',
		],
		originalBlock: 'Instagram',
	},
	'core__social-link-lastfm': {
		availableTransforms: [
			'Group',
		],
		originalBlock: 'Last.fm',
	},
	'core__social-link-linkedin': {
		availableTransforms: [
			'Group',
		],
		originalBlock: 'LinkedIn',
	},
	'core__social-link-mail': {
		availableTransforms: [
			'Group',
		],
		originalBlock: 'Mail',
	},
	'core__social-link-mastodon': {
		availableTransforms: [
			'Group',
		],
		originalBlock: 'Mastodon',
	},
	'core__social-link-medium': {
		availableTransforms: [
			'Group',
		],
		originalBlock: 'Medium',
	},
	'core__social-link-meetup': {
		availableTransforms: [
			'Group',
		],
		originalBlock: 'Meetup',
	},
	'core__social-link-pinterest': {
		availableTransforms: [
			'Group',
		],
		originalBlock: 'Pinterest',
	},
	'core__social-link-pocket': {
		availableTransforms: [
			'Group',
		],
		originalBlock: 'Pocket',
	},
	'core__social-link-reddit': {
		availableTransforms: [
			'Group',
		],
		originalBlock: 'Reddit',
	},
	'core__social-link-skype': {
		availableTransforms: [
			'Group',
		],
		originalBlock: 'Skype',
	},
	'core__social-link-snapchat': {
		availableTransforms: [
			'Group',
		],
		originalBlock: 'Snapchat',
	},
	'core__social-link-soundcloud': {
		availableTransforms: [
			'Group',
		],
		originalBlock: 'Soundcloud',
	},
	'core__social-link-spotify': {
		availableTransforms: [
			'Group',
		],
		originalBlock: 'Spotify',
	},
	'core__social-link-tumblr': {
		availableTransforms: [
			'Group',
		],
		originalBlock: 'Tumblr',
	},
	'core__social-link-twitch': {
		availableTransforms: [
			'Group',
		],
		originalBlock: 'Twitch',
	},
	'core__social-link-twitter': {
		availableTransforms: [
			'Group',
		],
		originalBlock: 'Twitter',
	},
	'core__social-link-vimeo': {
		availableTransforms: [
			'Group',
		],
		originalBlock: 'Vimeo',
	},
	'core__social-link-vk': {
		availableTransforms: [
			'Group',
		],
		originalBlock: 'VK',
	},
	'core__social-link-wordpress': {
		availableTransforms: [
			'Group',
		],
		originalBlock: 'WordPress',
	},
	'core__social-link-yelp': {
		availableTransforms: [
			'Group',
		],
		originalBlock: 'Yelp',
	},
	'core__social-link-youtube': {
		availableTransforms: [
			'Group',
		],
		originalBlock: 'YouTube',
	},
	'core__social-links': {
		originalBlock: 'Social links',
		availableTransforms: [
			'Group',
		],
	},
	core__spacer: {
		originalBlock: 'Spacer',
		availableTransforms: [
			'Group',
		],
	},
	core__table: {
		originalBlock: 'Table',
		availableTransforms: [
			'Group',
		],
	},
	core__table__caption: {
		originalBlock: 'Table',
		availableTransforms: [
			'Group',
		],
	},
	'core__table__scope-attribute': {
		originalBlock: 'Table',
		availableTransforms: [
			'Group',
		],
	},
	'core__tag-cloud': {
		originalBlock: 'Tag Cloud',
		availableTransforms: [
			'Group',
		],
	},
	'core__tag-cloud__showTagCounts': {
		originalBlock: 'Tag Cloud',
		availableTransforms: [
			'Group',
		],
	},
	core__verse: {
		originalBlock: 'Verse',
		availableTransforms: [
			'Group',
			'Paragraph',
		],
	},
	core__video: {
		originalBlock: 'Video',
		availableTransforms: [
			'Cover',
			'File',
			'Group',
			'Media & Text',
		],
	},
};
